Bug 122253 - [New port] devel/p5-libalarm: Perl module to allow multiple, queued alarms
Summary: [New port] devel/p5-libalarm: Perl module to allow multiple, queued alarms
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-30 10:00 UTC by Mykola Marzhan
Modified: 2008-06-03 03:50 UTC (History)
0 users

See Also:


Attachments
p5-libalarm.shar (4.27 KB, text/plain)
2008-03-30 10:00 UTC, Mykola Marzhan
no flags Details
p5-libalarm.shar (3.23 KB, application/x-shar)
2008-05-19 07:58 UTC, Mykola.Marzhan
no flags Details
p5-libalarm.shar (3.23 KB, application/x-shar)
2008-05-22 10:50 UTC, Mykola Marzhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Marzhan 2008-03-30 10:00:01 UTC
	Perl module libalarm allows multiple, queued alarms.
Comment 1 Felippe de Meirelles Motta freebsd_committer 2008-05-17 18:42:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-05-17 20:23:56 UTC
Hi Submitter,

Could you please resend the last patch again ? Look:

c - /usr/ports/devel/p5-libalarm/files
x - /usr/ports/devel/p5-libalarm/files/patch-lib__Alarm__Concurrent.pm
/home/lippe/p5-libalarm.shar: 22: Syntax error: Illegal eof marker for
<< redirection

Use:

# cd /usr/ports/ && shar `find devel/p5-libalarm` > p5-libalarm.shar

And attach here, thanks! :)

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta
Comment 3 Felippe de Meirelles Motta freebsd_committer 2008-05-17 21:02:32 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Mykola Marzhan 2008-05-22 10:50:13 UTC
Hi Felippe de Meirelles Motta,

patch attached.

Thank you! :)

-- 
Mykola Marzhan
PortaOne, Inc., Build Engineer
delgod@portaone.com
Tel: +1-866-SIP VOIP (+1 866 747 86 47) ext. 7159

Meet us at CommunicAsia 2008
Booth 3L1-01, June 17-20
Singapore Expo
Comment 5 Felippe de Meirelles Motta freebsd_committer 2008-05-28 18:28:38 UTC
State Changed
From-To: feedback->open

Submitter has approved.
Comment 6 dfilter service freebsd_committer 2008-06-03 03:41:16 UTC
lippe       2008-06-03 02:40:57 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-libalarm    Makefile distinfo pkg-descr pkg-plist 
    devel/p5-libalarm/files patch-lib__Alarm__Concurrent.pm 
  Log:
  Perl module libalarm allows multiple queued alarms. This module is an attempt to enhance Perl's built-in alarm/$SIG{ALRM} functionality.
  
  WWW: http://search.cpan.org/~johnsca/libalarm-1.0/
  
  PR:             ports/122253
  Submitted by:   Mykola Marzhan <delgod@portaone.com>
  Approved by:    araujo (mentor)
  
  Revision  Changes    Path
  1.3078    +1 -0      ports/devel/Makefile
  1.1       +26 -0     ports/devel/p5-libalarm/Makefile (new)
  1.1       +3 -0      ports/devel/p5-libalarm/distinfo (new)
  1.1       +26 -0     ports/devel/p5-libalarm/files/patch-lib__Alarm__Concurrent.pm (new)
  1.1       +4 -0      ports/devel/p5-libalarm/pkg-descr (new)
  1.1       +7 -0      ports/devel/p5-libalarm/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Felippe de Meirelles Motta freebsd_committer 2008-06-03 03:49:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!